Bug 62912 - EQ overflowing makes Xorg crash
Summary: EQ overflowing makes Xorg crash
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xorg (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-29 17:20 UTC by Bin Bun
Modified: 2018-06-13 18:10 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg log (48.00 KB, text/plain)
2013-03-29 17:20 UTC, Bin Bun
no flags Details
xorg (1.48 KB, text/plain)
2013-03-29 17:25 UTC, Bin Bun
no flags Details
Similar backtrace, maybe related. (33.10 KB, text/plain)
2013-07-18 12:33 UTC, thiagoc
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bin Bun 2013-03-29 17:20:51 UTC
Created attachment 77224 [details]
xorg log

Distribution: Archlinux


Description:
When I open many graphic files (jpegs, jpegs embedded in thunderbird, writer etc) Xorg crashes.
Also if I remove my mouse's usb nanoreceiver Xorg freezes istantly, and the same does happen when I run laptop on battery mode.


Additional info:

Xorg.0.log

[ 312.006] (II) config/udev: removing device Logitech USB Receiver
[ 312.011] (II) evdev: Logitech USB Receiver: Close
[ 312.011] (II) UnloadModule: "evdev"
[ 312.017] (II) config/udev: removing device Logitech USB Receiver
[ 312.023] (II) evdev: Logitech USB Receiver: Close
[ 312.023] (II) UnloadModule: "evdev"
(EE) [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x49) [0x81e47e9]
(EE) 1: /usr/bin/X (mieqEnqueue+0x223) [0x81c3173]
(EE) 2: /usr/bin/X (0x8048000+0x48235) [0x8090235]
(EE) 3: /usr/bin/X (xf86PostMotionEventM+0x24b) [0x80cd07b]
(EE) 4: /usr/bin/X (xf86PostMotionEvent+0xaa) [0x80cd2ca]
(EE) 5: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x47c6) [0xb77917c6]
(EE) 6: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x6cd1) [0xb7793cd1]
(EE) 7: /usr/bin/X (0x8048000+0x74271) [0x80bc271]
(EE) 8: /usr/bin/X (0x8048000+0x9fe53) [0x80e7e53]
(EE) 9: linux-gate.so.1 (__kernel_sigreturn+0x0) [0xb77bf400]
(EE) 10: linux-gate.so.1 (__kernel_vsyscall+0x10) [0xb77bf424]
(EE) 11: /usr/lib/libc.so.6 (ioctl+0x19) [0xb74cb179]
(EE) 12: /usr/lib/libdrm.so.2 (drmIoctl+0x34) [0xb76bce84]
(EE) 13: /usr/lib/libdrm.so.2 (drmCommandWriteRead+0x3c) [0xb76bfb2c]
(EE) 14: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x19fa) [0xb719b9fa]
(EE) 15: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x1c6e) [0xb719bc6e]
(EE) 16: /usr/lib/libdrm_radeon.so.1 (radeon_bo_map+0x1a) [0xb719d35a]
(EE) 17: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb71da000+0x1fd56) [0xb71f9d56]
(EE) 18: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x53dc) [0xb71c73dc]
(EE) 19: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x5791) [0xb71c7791]
(EE) 20: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x7ccc) [0xb71c9ccc]
(EE) 21: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x43b8) [0xb71c63b8]
(EE) 22: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x11a1b) [0xb71d3a1b]
(EE) 23: /usr/bin/X (0x8048000+0x11c8fd) [0x81648fd]
(EE) 24: /usr/bin/X (0x8048000+0x11e0ea) [0x81660ea]
(EE) 25: /usr/bin/X (doPolyText+0x30b) [0x807c5ab]
(EE) 26: /usr/bin/X (PolyText+0x6f) [0x807d62f]
(EE) 27: /usr/bin/X (0x8048000+0x2f0bb) [0x80770bb]
(EE) 28: /usr/bin/X (0x8048000+0x32135) [0x807a135]
(EE) 29: /usr/bin/X (0x8048000+0x1f6ba) [0x80676ba]
(EE) 30: /usr/lib/libc.so.6 (__libc_start_main+0xf5) [0xb73fc825]
(EE) 31: /usr/bin/X (0x8048000+0x1fa89) [0x8067a89]
(EE)
(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
(EE) [mi] mieq is *NOT* the cause. It is a victim.
(EE) [mi] EQ overflow continuing. 100 events have been dropped.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x49) [0x81e47e9]
(EE) 1: /usr/bin/X (mieqEnqueue+0xf8) [0x81c3048]
(EE) 2: /usr/bin/X (0x8048000+0x48235) [0x8090235]
(EE) 3: /usr/bin/X (xf86PostMotionEventM+0x24b) [0x80cd07b]
(EE) 4: /usr/bin/X (xf86PostMotionEvent+0xaa) [0x80cd2ca]
(EE) 5: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x47c6) [0xb77917c6]
(EE) 6: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x6cd1) [0xb7793cd1]
(EE) 7: /usr/bin/X (0x8048000+0x74271) [0x80bc271]
(EE) 8: /usr/bin/X (0x8048000+0x9fe53) [0x80e7e53]
(EE) 9: linux-gate.so.1 (__kernel_sigreturn+0x0) [0xb77bf400]
(EE) 10: linux-gate.so.1 (__kernel_vsyscall+0x10) [0xb77bf424]
(EE) 11: /usr/lib/libc.so.6 (ioctl+0x19) [0xb74cb179]
(EE) 12: /usr/lib/libdrm.so.2 (drmIoctl+0x34) [0xb76bce84]
(EE) 13: /usr/lib/libdrm.so.2 (drmCommandWriteRead+0x3c) [0xb76bfb2c]
(EE) 14: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x19fa) [0xb719b9fa]
(EE) 15: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x1c6e) [0xb719bc6e]
(EE) 16: /usr/lib/libdrm_radeon.so.1 (radeon_bo_map+0x1a) [0xb719d35a]
(EE) 17: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb71da000+0x1fd56) [0xb71f9d56]
(EE) 18: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x53dc) [0xb71c73dc]
(EE) 19: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x5791) [0xb71c7791]
(EE) 20: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x7ccc) [0xb71c9ccc]
(EE) 21: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x43b8) [0xb71c63b8]
(EE) 22: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x11a1b) [0xb71d3a1b]
(EE) 23: /usr/bin/X (0x8048000+0x11c8fd) [0x81648fd]
(EE) 24: /usr/bin/X (0x8048000+0x11e0ea) [0x81660ea]
(EE) 25: /usr/bin/X (doPolyText+0x30b) [0x807c5ab]
(EE) 26: /usr/bin/X (PolyText+0x6f) [0x807d62f]
(EE) 27: /usr/bin/X (0x8048000+0x2f0bb) [0x80770bb]
(EE) 28: /usr/bin/X (0x8048000+0x32135) [0x807a135]
(EE) 29: /usr/bin/X (0x8048000+0x1f6ba) [0x80676ba]
(EE) 30: /usr/lib/libc.so.6 (__libc_start_main+0xf5) [0xb73fc825]
(EE) 31: /usr/bin/X (0x8048000+0x1fa89) [0x8067a89]
(EE)
(EE) [mi] EQ overflow continuing. 200 events have been dropped.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x49) [0x81e47e9]
(EE) 1: /usr/bin/X (mieqEnqueue+0xf8) [0x81c3048]
(EE) 2: /usr/bin/X (0x8048000+0x48235) [0x8090235]
(EE) 3: /usr/bin/X (xf86PostMotionEventM+0x24b) [0x80cd07b]
(EE) 4: /usr/bin/X (xf86PostMotionEvent+0xaa) [0x80cd2ca]
(EE) 5: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x47c6) [0xb77917c6]
(EE) 6: /usr/lib/xorg/modules/input/synaptics_drv.so (0xb778d000+0x6cd1) [0xb7793cd1]
(EE) 7: /usr/bin/X (0x8048000+0x74271) [0x80bc271]
(EE) 8: /usr/bin/X (0x8048000+0x9fe53) [0x80e7e53]
(EE) 9: linux-gate.so.1 (__kernel_sigreturn+0x0) [0xb77bf400]
(EE) 10: linux-gate.so.1 (__kernel_vsyscall+0x10) [0xb77bf424]
(EE) 11: /usr/lib/libc.so.6 (ioctl+0x19) [0xb74cb179]
(EE) 12: /usr/lib/libdrm.so.2 (drmIoctl+0x34) [0xb76bce84]
(EE) 13: /usr/lib/libdrm.so.2 (drmCommandWriteRead+0x3c) [0xb76bfb2c]
(EE) 14: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x19fa) [0xb719b9fa]
(EE) 15: /usr/lib/libdrm_radeon.so.1 (0xb719a000+0x1c6e) [0xb719bc6e]
(EE) 16: /usr/lib/libdrm_radeon.so.1 (radeon_bo_map+0x1a) [0xb719d35a]
(EE) 17: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb71da000+0x1fd56) [0xb71f9d56]
(EE) 18: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x53dc) [0xb71c73dc]
(EE) 19: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x5791) [0xb71c7791]
(EE) 20: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x7ccc) [0xb71c9ccc]
(EE) 21: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x43b8) [0xb71c63b8]
(EE) 22: /usr/lib/xorg/modules/libexa.so (0xb71c2000+0x11a1b) [0xb71d3a1b]
(EE) 23: /usr/bin/X (0x8048000+0x11c8fd) [0x81648fd]
(EE) 24: /usr/bin/X (0x8048000+0x11e0ea) [0x81660ea]
(EE) 25: /usr/bin/X (doPolyText+0x30b) [0x807c5ab]
(EE) 26: /usr/bin/X (PolyText+0x6f) [0x807d62f]
(EE) 27: /usr/bin/X (0x8048000+0x2f0bb) [0x80770bb]
(EE) 28: /usr/bin/X (0x8048000+0x32135) [0x807a135]
(EE) 29: /usr/bin/X (0x8048000+0x1f6ba) [0x80676ba]
(EE) 30: /usr/lib/libc.so.6 (__libc_start_main+0xf5) [0xb73fc825]
(EE) 31: /usr/bin/X (0x8048000+0x1fa89) [0x8067a89]
(EE)
(EE) [mi] EQ overflow continuing. 300 events have been dropped.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x49) [0x81e47e9]
(EE) 1: /usr/bin/X (mieqEnqueue+0xf8) [0x81c3048]
(EE) 2: /usr/bin/X (0x8048000+0x48235) [0x8090235]
(EE) 3: /usr/bin/X (xf86PostKeyEventM+0x8e) [0x80cd8be]
(EE) 4: /usr/bin/X (xf86PostKeyboardEvent+0x72) [0x80cdb62]
(EE) 5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb77a7000+0x5351) [0xb77ac351]
(EE) 6: /usr/bin/X (0x8048000+0x74271) [0x80bc271]
(EE) 7: /usr/bin/X (0x8048000+0x9fe53) [0x80e7e53]
(EE) 8: linux-gate.so.1 (__kernel_sigreturn+0x0) [0xb77bf400]
(EE) 9: linux-gate.so.1 (__kernel_vsyscall+0x10) [0xb77bf424]
(EE) 10: /usr/lib/libc.so.6 (ioctl+0x19) [0xb



lspci -vv
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
Subsystem: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
Latency: 0
Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
Capabilities: [40] Vendor Specific Information: Len=05 <?>
Capabilities: [a0] AGP version 2.0
Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
Kernel driver in use: agpgart-intel

00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 3580
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0

00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 3580
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0

00:01.0 PCI bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to AGP Controller (rev 02) (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64
Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
I/O behind bridge: 00009000-0000bfff
Memory behind bridge: e0000000-e00fffff
Prefetchable memory behind bridge: aff00000-bfefffff
Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:1d.0 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 24cc
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 16
Region 4: I/O ports at e800 [size=32]
Kernel driver in use: uhci_hcd

00:1d.1 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 24cc
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin B routed to IRQ 19
Region 4: I/O ports at e880 [size=32]
Kernel driver in use: uhci_hcd

00:1d.2 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 24cc
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin C routed to IRQ 18
Region 4: I/O ports at ec00 [size=32]
Kernel driver in use: uhci_hcd

00:1d.7 USB controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03) (prog-if 20 [EHCI])
Subsystem: TWINHEAD INTERNATIONAL Corp Device c90a
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin D routed to IRQ 23
Region 0: Memory at e02ffc00 (32-bit, non-prefetchable) [size=1K]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [58] Debug port: BAR=1 offset=0080
Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83) (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
Latency: 0
Bus: primary=00, secondary=02, subordinate=0e, sec-latency=64
I/O behind bridge: 0000c000-0000cfff
Memory behind bridge: e0100000-e01fffff
Prefetchable memory behind bridge: 80000000-8bffffff
Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Kernel driver in use: lpc_ich

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03) (prog-if 8a [Master SecP PriP])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 24cc
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin A routed to IRQ 18
Region 0: I/O ports at 01f0 [size=8]
Region 1: I/O ports at 03f4
Region 2: I/O ports at 0170 [size=8]
Region 3: I/O ports at 0374
Region 4: I/O ports at ffa0 [size=16]
Region 5: Memory at 8c000000 (32-bit, non-prefetchable) [size=1K]
Kernel driver in use: ata_piix

00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 040a
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin B routed to IRQ 17
Region 0: I/O ports at d800 [size=256]
Region 1: I/O ports at e000 [size=64]
Region 2: Memory at e02ff800 (32-bit, non-prefetchable) [size=512]
Region 3: Memory at e02ff400 (32-bit, non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: snd_intel8x0

00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03) (prog-if 00 [Generic])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 1009
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0
Interrupt: pin B routed to IRQ 17
Region 0: I/O ports at e400 [size=256]
Region 1: I/O ports at e080 [size=128]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: snd_intel8x0m

01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Radeon RV250 [Mobility FireGL 9000] (rev 02) (prog-if 00 [VGA controller])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 0311
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (2000ns min), Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 18
Region 0: Memory at b0000000 (32-bit, prefetchable) [size=128M]
Region 1: I/O ports at b000 [size=256]
Region 2: Memory at e00f0000 (32-bit, non-prefetchable) [size=64K]
Expansion ROM at e00c0000 [disabled] [size=128K]
Capabilities: [58] AGP version 2.0
Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: radeon

02:01.0 Ethernet controller: Atheros Communications Inc. AR5413/AR5414 Wireless Network Adapter [AR5006X(S) 802.11abg] (rev 01)
Subsystem: Atheros Communications Inc. EnGenius EMP-8602 (400mw) or Compex WLM54AG
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 21
Region 0: Memory at e01f0000 (32-bit, non-prefetchable) [size=64K]
Capabilities: [44] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME-
Kernel driver in use: ath5k

02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 020b
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 19
Region 0: I/O ports at c800 [size=256]
Region 1: Memory at e01efc00 (32-bit, non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: 8139too

02:03.0 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 060b
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 168
Interrupt: pin A routed to IRQ 20
Region 0: Memory at 90000000 (32-bit, non-prefetchable) [size=4K]
Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
Memory window 0: 80000000-83ffffff (prefetchable)
Memory window 1: 94000000-97ffffff
I/O window 0: 0000c000-0000c0ff
I/O window 1: 0000c400-0000c4ff
BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
16-bit legacy interface ports at 0001
Kernel driver in use: yenta_cardbus

02:03.1 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 060b
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 168
Interrupt: pin A routed to IRQ 20
Region 0: Memory at 98000000 (32-bit, non-prefetchable) [size=4K]
Bus: primary=02, secondary=07, subordinate=0a, sec-latency=176
Memory window 0: 84000000-87ffffff (prefetchable)
Memory window 1: 9c000000-9fffffff
I/O window 0: 0000cc00-0000ccff
I/O window 1: 00001000-000010ff
BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
16-bit legacy interface ports at 0001
Kernel driver in use: yenta_cardbus

02:05.0 CardBus bridge: Ricoh Co Ltd RL5c475 (rev b8)
Subsystem: TWINHEAD INTERNATIONAL Corp Device 060a
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 168
Interrupt: pin A routed to IRQ 16
Region 0: Memory at a0000000 (32-bit, non-prefetchable) [size=4K]
Bus: primary=02, secondary=0b, subordinate=0e, sec-latency=176
Memory window 0: 88000000-8bffffff (prefetchable)
Memory window 1: a4000000-a7ffffff
I/O window 0: 00001400-000014ff
I/O window 1: 00001800-000018ff
BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
16-bit legacy interface ports at 0001
Kernel driver in use: yenta_cardbus

02:05.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C551 IEEE 1394 Controller (prog-if 10 [OHCI])
Subsystem: TWINHEAD INTERNATIONAL Corp Device 060a
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (500ns min, 1000ns max)
Interrupt: pin B routed to IRQ 17
Region 0: Memory at e01ef000 (32-bit, non-prefetchable) [size=2K]
Capabilities: [dc] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME+
Kernel driver in use: firewire_ohci

03:00.0 USB controller: NEC Corporation OHCI USB Controller (rev 43) (prog-if 10 [OHCI])
Subsystem: Option N.V. Device 0010
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (250ns min, 10500ns max), Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 20
Region 0: Memory at 94000000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [40] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME+
Kernel driver in use: ohci_hcd

03:00.1 USB controller: NEC Corporation OHCI USB Controller (rev 43) (prog-if 10 [OHCI])
Subsystem: Option N.V. Device 0011
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 64 (250ns min, 10500ns max), Cache Line Size: 64 bytes
Interrupt: pin B routed to IRQ 20
Region 0: Memory at 94001000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [40] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: ohci_hcd

0b:00.0 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62) (prog-if 00 [UHCI])
Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 22, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 16
Region 1: Memory at a4000000 (32-bit, non-prefetchable) [size=256]
Region 4: I/O ports at 1400 [size=32]
Capabilities: [80] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: uhci_hcd

0b:00.1 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62) (prog-if 00 [UHCI])
Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 22, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 16
Region 1: Memory at a4000100 (32-bit, non-prefetchable) [size=256]
Region 4: I/O ports at 1420 [size=32]
Capabilities: [80] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
Kernel driver in use: uhci_hcd
Comment 1 Bin Bun 2013-03-29 17:24:58 UTC
My software:

linux 3.8.4-1
xorg-server 1.14
ati-dri 9.1.1-1
xf86-video-ati 1:7.1.0-3

Today's crash has no info:

[    30.371] (WW) evdev: semtech psaux/serial TouchScreen: device file is duplicate. Ignoring.
[    30.372] (EE) PreInit returned 8 for "semtech psaux/serial TouchScreen"
[    30.372] (II) UnloadModule: "evdev"
[    30.372] (II) config/udev: Adding input device PC Speaker (/dev/input/event3)
[    30.372] (II) No input driver specified, ignoring this device.
[    30.372] (II) This device may have been added with another device file.
(EE) [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
(EE) 
(EE) Backtrace:
(EE) 
(EE) Backtrace:
Comment 2 Bin Bun 2013-03-29 17:25:47 UTC
Created attachment 77225 [details]
xorg
Comment 3 Joe 2013-04-28 21:04:03 UTC
I am experiencing something very similar. Also on archlinux. As far as I observed, happens on multi-display setup for me. I have never experienced these problems before.

Here are logs from two crashes:

First: http://pastebin.com/YW2N2kWz
Second: http://pastebin.com/stv7kHH3
Comment 4 thiagoc 2013-07-18 12:33:39 UTC
Created attachment 82590 [details]
Similar backtrace, maybe related.

X crashed while selecting some text in Firefox.
Comment 5 walafc0 2013-09-16 20:28:41 UTC
I got the same bug today, but I didn't open many graphic files or whatever, just my browser (uzbl), my irssi screen and an mplayer streaming. I use

xorg-server 1.14.3-1
ati-dri 9.2.0-2
xf86-video-ati 1:7.2.0-1


uname -a
Linux localgh0st 3.10.10-1-ARCH #1 SMP PREEMPT Fri Aug 30 11:30:06 CEST 2013 x86_64 GNU/Linux

lspci -vv
http://bpaste.net/show/132971

Xorg.0.log
http://bpaste.net/show/132967

20-radeon.conf
http://bpaste.net/show/132973
Comment 6 bjlockie 2013-09-21 03:28:42 UTC
This also happens on my x86_64 Gentoo box.
Comment 7 bjlockie 2013-09-21 15:52:56 UTC
(In reply to comment #6)
> This also happens on my x86_64 Gentoo box.

I have an nvidia card.

There are also many posts of people with this problem but I haven't found a workaround yet.
Comment 8 radicaledward 2013-10-04 22:53:00 UTC
I'm getting this on Debian Wheezy w/ a NVidia GTX 660. System is only intermittently stable.

Here is my /var/log/messages: https://gist.github.com/racei/6834175
And my Xorg.0.log: https://gist.github.com/racei/6834188
Comment 9 Matt Seburn 2013-11-29 21:49:07 UTC
I'm getting this on my Slackware64 14.1 laptop, which has an nvidia card using the nouveau driver.

With KDE I get about 30 minutes of uptime before it locks up.  Using ratpoison, I get enough uptime for it to be usable, but it still happens periodically.
Comment 10 Adam Jackson 2018-06-13 18:10:36 UTC
The backtrace(s) here show a generic "the driver is stuck" kind of problem. I'd reassign it to a particular driver, but a) multiple drivers have been named here and b) it's been like four years.

Closing. Please file a new bug if you still experience similar issues with current releases.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.